Bug 1567784 - Notification window is not big enough to show the whole message.
Summary: Notification window is not big enough to show the whole message.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Notifications
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 6.7.0
Assignee: Amir
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 08:26 UTC by Raashika Raghuwanshi
Modified: 2020-04-14 13:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:22:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (61.87 KB, image/png)
2018-04-16 08:26 UTC, Raashika Raghuwanshi
no flags Details
Correctly wrapped notification message (35.02 KB, image/png)
2020-03-10 11:19 UTC, Radovan Drazny
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 27646 0 Low Closed Notification window is not big enough to show the whole message. 2020-03-09 10:50:35 UTC
Red Hat Product Errata RHSA-2020:1454 0 None None None 2020-04-14 13:23:14 UTC

Description Raashika Raghuwanshi 2018-04-16 08:26:07 UTC
Created attachment 1422386 [details]
Screenshot

Description of problem:
When notification messages are a little long, the get cropped out due to the window being too small. Sometimes the scrollbar isn't visible and it's time-consuming to scroll to see a message which can be removed with a single click.

Version-Release number of selected component (if applicable):
Satellite 6.3

How reproducible:
Every time

Comment 5 Walden Raines 2018-06-25 13:18:50 UTC
Are you using firefox? Could this be a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1575633?

Comment 6 Raashika Raghuwanshi 2018-06-26 01:26:51 UTC
Hello Walden,
Thank you for pointing this out. Looks like the inability to scroll on firefox has already been reported. However, as per the screenshots provided, word wrap isn't working either and makes it difficult to see the notifications.

Regards,
Raashika Raghuwanshi

Comment 7 Walden Raines 2019-08-16 21:53:36 UTC
Created redmine issue https://projects.theforeman.org/issues/27645 from this bug

Comment 8 Walden Raines 2019-08-16 21:54:04 UTC
Created redmine issue https://projects.theforeman.org/issues/27646 from this bug

Comment 9 Walden Raines 2019-08-21 17:41:37 UTC
This has most likely been fixed by a refactoring to the notification drawer and should work in 6.4, 6.5,m and 6.6.  If it doesn't work correctly in 6.4 for some reason it should definitely work in 6.5.

Moving to ON_QA for verification.

Comment 10 Radovan Drazny 2020-03-10 11:19:43 UTC
Created attachment 1668932 [details]
Correctly wrapped notification message

Verified on Sat 6.7 Snap 15. See the attached screenshot for an example of a long notification message

Comment 13 errata-xmlrpc 2020-04-14 13:22:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.